> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# CONTROLLER.DEXSCR.GET_BOOSTS.SUMMARY

> 获取 DexScreener 代币推广（含花费金额）列表



## OpenAPI

````yaml /cn/api-reference/openapi-data-cn.yaml GET /v2/dexscr/{chain}/boosts
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 区块链相关操作
  - name: Token
    description: 代币相关操作
  - name: Trade
    description: 交易相关操作
  - name: Wallet
    description: 钱包相关操作
  - name: Dex
    description: DEX 相关操作
  - name: Ranking
    description: 排行榜相关操作
  - name: DexPool
    description: DEX 池子相关操作
  - name: Watchlist
    description: 关注列表相关操作
  - name: KYT
    description: KYT 相关操作
  - name: Webhook
    description: Webhook 相关操作
  - name: RedPacket
    description: 红包相关操作
  - name: IPFS
    description: IPFS 相关操作
  - name: DexScreener
    description: DexScreener 相关操作
paths:
  /v2/dexscr/{chain}/boosts:
    get:
      tags:
        - DexScreener
      summary: DexScreener - 推广
      description: 获取 DexScreener 代币推广（含花费金额）列表
      operationId: get.dexscr.boosts
      parameters:
        - name: chain
          in: path
          description: 支持网络列表中的链名称
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: limit
          in: query
          description: 返回结果数量
          required: false
          schema:
            type: integer
            format: int64
            default: 20
            maximum: 100
            minimum: 1
          style: form
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DexscrBoost'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    DexscrBoost:
      type: object
      required:
        - chain
        - tokenAddress
        - totalAmount
      properties:
        amount:
          type:
            - number
            - 'null'
          format: double
          description: 当前推广数量
        chain:
          type: string
          description: 区块链网络标识
          example: sol
        description:
          type:
            - string
            - 'null'
          description: 代币描述
        header:
          type:
            - string
            - 'null'
          description: 代币头图 URL
        icon:
          type:
            - string
            - 'null'
          description: 代币图标 URL
        links:
          description: 代币社交链接（JSON 格式）
        openGraph:
          type:
            - string
            - 'null'
          description: 代币 Open Graph 图片 URL
        tokenAddress:
          type: string
          description: 代币合约地址
          example: So11111111111111111111111111111111111111112
        totalAmount:
          type: number
          format: double
          description: 累计推广花费数量
          example: 500
        url:
          type:
            - string
            - 'null'
          description: DexScreener 代币页面 URL
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````